// WFProcess 流程模版基本信息
import { defHttp } from '@/utils/http/axios';
import { taskCountParams, caseInfoParams, countModel, taskInfoParams } from './model/index';

enum Api {
  // 获取待办任务统计数据
  LoadTaskCount = '/api/DroneCaseInfoSingle/LoadTaskCount',
  //   获取案件信息统计数据
  LoadDroneCaseInfoCount = '/api/DroneCaseInfoSingle/LoadDroneCaseInfoCount',
  // 分页获取案件信息列表
  LoadDroneCaseInfoDetail = '/api/DroneCaseInfoSingle/LoadDroneCaseInfoDetail',
  // 分页获取任务信息列表
  LoadTaskDetailList = '/api/DroneCaseInfoSingle/LoadTaskDetailList',
}

/**
 * @description: getCaseFlowLog
 */
export function getLoadTaskCount(params?: taskCountParams) {
  return defHttp.get<countModel>({ url: Api.LoadTaskCount, params });
}

/**
 * @description: getCaseFlowLog
 */
export function getLoadDroneCaseInfoCount(params?: taskCountParams) {
  return defHttp.get<countModel>({ url: Api.LoadDroneCaseInfoCount, params });
}

/**
 * @description: getCaseFlowLog
 */
export function getLoadDroneCaseInfoDetail(params?: caseInfoParams) {
  return defHttp.get({ url: Api.LoadDroneCaseInfoDetail, params });
}
/**
 * @description: getCaseFlowLog
 */
export function getLoadTaskDetailList(params?: taskInfoParams) {
  return defHttp.get({ url: Api.LoadTaskDetailList, params });
}
